Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class OntTools.DisjointSet

    java.lang.Object
      com.hp.hpl.jena.ontology.OntTools.DisjointSet

Enclosing class:
  OntTools

    public static class OntTools.DisjointSet

extends java.lang.Object

A simple representation of disjoint sets

Constructor Summary
`OntTools.DisjointSet(Resource node)`

Method Summary
`OntTools.DisjointSet` | `find()` The find operation collapses the pointer to the root parent, which is one of Tarjan's standard optimisations.
`OntTools.DisjointSet` | `getAncestor()`
`Resource` | `getNode()`
`OntTools.DisjointSet` | `getParent()`
`int` | `getRank()`
`void` | `incrementRank()`
`boolean` | `isBlack()`
`void` | `setAncestor(OntTools.DisjointSet anc)`
`void` | `setBlack()`
`void` | `setParent(OntTools.DisjointSet parent)`
`void` | `setUsed()`
`java.lang.String` | `toShortString()`
`java.lang.String` | `toString()`
`void` | `union(OntTools.DisjointSet y)` The union of two sets
`boolean` | `used()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OntTools.DisjointSet

    public OntTools.DisjointSet(Resource node)

Method Detail

### getNode

    public Resource getNode()

### getParent

    public OntTools.DisjointSet getParent()

### setParent

    public void setParent(OntTools.DisjointSet parent)

### getRank

    public int getRank()

### incrementRank

    public void incrementRank()

### getAncestor

    public OntTools.DisjointSet getAncestor()

### setAncestor

    public void setAncestor(OntTools.DisjointSet anc)

### setBlack

    public void setBlack()

### isBlack

    public boolean isBlack()

### used

    public boolean used()

### setUsed

    public void setUsed()

### find

    public OntTools.DisjointSet find()

  The find operation collapses the pointer to the root parent, which is one of Tarjan's standard optimisations.

  Returns:
    The representative of the union containing this set

### union

    public void union(OntTools.DisjointSet y)

  The union of two sets

  Parameters:
    `y` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this set for debugging
  See Also:
    `Object.toString()`

### toShortString

    public java.lang.String toShortString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP